## vulkanupload vulkanupload |

## Types and Values

struct | GstVulkanUpload

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVulkanUpload

## Description

vulkanupload uploads data into Vulkan memory objects.

## Synopsis

### Element Information

plugin | vulkan
author | Matthew Waters <matthew@centricular.com>
class | Filter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(memory:VulkanBuffer)
| video/x-raw

name | src
direction | source
presence | always
details | video/x-raw(memory:VulkanBuffer)

## Functions

## Types and Values

### struct GstVulkanUpload

    struct GstVulkanUpload;